import type { Express } from "express";
import { featureCheck } from "../middleware/featureActive.middleware.js";
import available from "./availableScanIds.route.js";
import downloads from "./downloadApps.route.js";
import lanes from "./laneCheck.js";
import authPin from "./mobileAuth.route.js";
import newPin from "./mobilePin.route.js";
import logs from "./scanLogs.route.js";
import version from "./version.route.js";

export const setupMobileRoutes = (baseUrl: string, app: Express) => {
	//stats will be like this as we dont need to change this

	app.use(`${baseUrl}/api/mobile/version`, featureCheck("mobile"), version);
	app.use(`${baseUrl}/api/mobile/apk`, featureCheck("mobile"), downloads);
	app.use(`${baseUrl}/api/mobile/logs`, featureCheck("mobile"), logs);
	app.use(`${baseUrl}/api/mobile/auth`, featureCheck("mobile"), authPin);
	app.use(`${baseUrl}/api/mobile/pin`, featureCheck("mobile"), newPin);
	app.use(`${baseUrl}/api/mobile/laneCheck`, featureCheck("mobile"), lanes);
	app.use(`${baseUrl}/api/mobile/available`, featureCheck("mobile"), available);

	// all other system should be under /api/system/*
};
